# Uses of Enum
org.eclipse.birt.chart.model.attribute.LineStyle

Packages that use LineStyle
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of LineStyle in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type LineStyle
Modifier and Type
Method
Description
`LineAttributes`
GObjectFactory.`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
`LineAttributes`
IGObjectFactory.`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`

## Uses of LineStyle in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type LineStyle
Modifier and Type
Field
Description
`static final List<LineStyle>`
LineStyle.`VALUES`
A public read-only list of all the 'Line Style' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return LineStyle
Modifier and Type
Method
Description
`static LineStyle`
LineStyle.`get(int value)`
Returns the 'Line Style' literal with the specified integer value.
`static LineStyle`
LineStyle.`get(String literal)`
Returns the 'Line Style' literal with the specified literal value.
`static LineStyle`
LineStyle.`getByName(String name)`
Returns the 'Line Style' literal with the specified name.
`LineStyle`
LineAttributes.`getStyle()`
Returns the value of the 'Style' attribute.
`static LineStyle`
LineStyle.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LineStyle[]`
LineStyle.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type LineStyle
Modifier and Type
Method
Description
`void`
LineAttributes.`setStyle(LineStyle value)`
Sets the value of the '`Style`' attribute.

## Uses of LineStyle in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return LineStyle
Modifier and Type
Method
Description
`LineStyle`
AttributeFactoryImpl.`createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineStyle`
AttributeFactoryImpl.`createLineStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineStyle`
LineAttributesImpl.`getStyle()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type LineStyle
Modifier and Type
Method
Description
`static final LineAttributes`
LineAttributesImpl.`create(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
LineAttributesImpl.`createDefault(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
LineAttributesImpl.`createDefault(ColorDefinition cd, LineStyle ls, int iThickness, boolean visible)`
`void`
LineAttributesImpl.`set(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates initialization of member variables.
`void`
LineAttributesImpl.`setStyle(LineStyle newStyle)`

## Uses of LineStyle in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl with parameters of type LineStyle
Modifier and Type
Method
Description
`static Grid`
GridImpl.`create(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`static Grid`
GridImpl.`createDefault(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`